> For the complete documentation index, see [llms.txt](https://docs.fusion.vectra.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fusion.vectra.ai/detection-models/library/operational-governance/file-sharing_idrive_detection.md).

# file-sharing\_idrive\_detection

Explanation The file-sharing\_idrive\_detection NDM scans for instances of file sharing on the network that use the iDrive service. When users connect to the iDrive servers, it could lead to potential d

**Explanation**

The file-sharing\_idrive\_detection NDM scans for instances of file sharing on the network that use the iDrive service. When users connect to the iDrive servers, it could lead to potential data exfiltration from corporate endpoints.

**What to Look For**

To examine the results of the file-sharing\_idrive\_detection event, look for any activity on the network that involves the iDrive service. This could include any access to iDrive servers or any data transfers to/from iDrive. Check endpoint logs for any iDrive-related processes or applications running. Ensure that iDrive is used only for authorized business purposes, and restrict access to unauthorized users or devices to prevent data loss or leakage.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fusion.vectra.ai/detection-models/library/operational-governance/file-sharing_idrive_detection.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
